Skip to content
First requestVisit website ↗
Navigation

Search bookings with advanced filters (Admin)

Search and filter bookings with advanced criteria. Requires admin authentication.

GET
https://api.channelautomation.com/api/calendar/bookings/search

Authorization

  • BearerAuth
    optional
    HTTP Bearer (JWT)
  • ApiKeyAuth
    optional
    API key in header

Query parameters

  • workspace_id
    string
    required

    Filter by workspace ID (required)

  • status
    optional
    scheduled
    or
    completed
    or
    cancelled

    Filter by booking status

  • contact_name
    optional
    string

    Filter by contact name

  • product_interest
    optional
    string

    Filter by product interest

  • start_date
    optional
    string

    Filter bookings from this date

    format: date
  • end_date
    optional
    string

    Filter bookings until this date

    format: date

Returns

200

Search results retrieved successfully

JSON
  • success
    optional
    boolean
  • bookings
    optional
    array of
    object
    • id
      optional
      string

      Unique appointment identifier

    • contact_id
      optional
      string

      Associated contact ID

    • workspace_id
      optional
      string

      Workspace ID

    • created_by
      optional
      string

      ID of user who created the appointment

    • title
      optional
      string

      Appointment title

    • description
      optional
      string

      Appointment description

    • appointment_date
      optional
      string

      Date and time of the appointment

      format: date-time
    • duration_minutes
      optional
      integer

      Duration of the appointment in minutes

    • location
      optional
      string

      Location of the appointment

    • created_at
      optional
      string

      When the appointment was created

      format: date-time
    • updated_at
      optional
      string

      When the appointment was last updated

      format: date-time

400

Missing required workspace_id parameter
JSON
  • success
    optional
    boolean
  • error
    optional
    string

401

Authentication required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

403

Admin privileges required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

500

Internal server error
JSON
  • error
    optional
    string
  • details
    optional
    string
  • success
    optional
    boolean

Type to search…

↑↓ navigate↵ selectEsc close